#!/bin/sh
set -e

if etckeeper unclean; then
	if [ "$AVOID_COMMIT_BEFORE_INSTALL" = 1 ]; then
		echo "" >&2
		echo "** etckeeper detected uncommitted changes in ${ETCKEEPER_DIR} prior to $HIGHLEVEL_PACKAGE_MANAGER run" >&2 
		echo "** Aborting $HIGHLEVEL_PACKAGE_MANAGER run. Manually commit and restart." >&2
		echo "" >&2
		exit 1
	fi
	if ! etckeeper commit "saving uncommitted changes in ${ETCKEEPER_DIR} prior to $HIGHLEVEL_PACKAGE_MANAGER run"; then
		echo "warning: etckeeper failed to commit changes in ${ETCKEEPER_DIR} using $VCS" >&2
	fi
fi
